<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

use Kufer\Admin\Classes\Settings\Helper\Tools\LinkHelper;
use Kufer\Admin\Classes\Settings\Helper\Tools\ReiterTermine;

$sortId = 4;
$toolId = \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;

$settingsArray = array();
$objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_DOZ);

array_push($settingsArray, LinkHelper::createHardlinkSettingItemToWssField(4, $toolId));

$settingsArray = ReiterTermine::addReiterTerminKurstagStatus($toolId, $objsettings, $settingsArray);

$setting = new Setting();
$setting->name = 'sortktasc';
$setting->description = 'Sortierung der Termine<br>- nach Datum';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'nrauf' => 'aufsteigend',
  'nrab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'eigeneTermineDozent';
$setting->description = 'Filter mit den eigenen Terminen von Dozenten vorbelegen';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->description = 'Wenn sowohl "E-Mail für Termin-Stornierungen an den planenden Mitarbeiter senden" als auch die Option "E-Mail für Termin-Stornierungen '
         . 'an den verwaltenden Mitarbeiter senden" gesetzt sind, so wird an beide Mitarbeiter eine E-Mail verschickt. Falls keine E-Mail Adresse bei einem der Mitarbeiter '
        . 'gefunden wurde so geht die E-Mail an den anderen falls ausgewählt. Wenn beide Mitarbeiter keine E-Mail hinterlegt haben, aber die Optionen ausgewählt sind, '
        . 'geht die E-Mail wie bisher an die Schulungseinrichtung.';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'vhsEmailTool1Section345';
$setting->description = 'Ziel-E-Mail-Adresse für Termin-Stornierungen';
$setting->help = 'Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, die unter <a href="?action=settings&hardlink=file_system_schulungseinrichtung">Einstellungen / System / Daten der Einrichtung / Ziel für E-Mails aus den KuferTools an die Schulungseinrichtung</a> angegeben ist. Wenn Termin-Stornierungen an den planenden bzw. '
                . 'verwaltenden Mitarbeiter versendet werden, so wird keine an die Schulungseinrichtung verschickt.';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'terminstornierungsEmailPlanendMA';
$setting->description = 'E-Mail für Termin-Stornierungen an den planenden Mitarbeiter senden';
$setting->help = 'Bei Termin-Stornierungen wird eine Nachricht an die E-Mail Adresse des planenden Mitarbeiters anstatt der Schulungseinrichtung gesendet.';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'terminstornierungsEmailVerwaltendMA';
$setting->description = 'E-Mail für Termin-Stornierungen an den verwaltenden Mitarbeiter senden';
$setting->help = 'Bei Termin-Stornierungen wird eine Nachricht an die E-Mail Adresse des verwaltenden Mitarbeiters anstatt der Schulungseinrichtung gesendet.';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sendMailTerminStornierungKopieAnDozent';
$setting->description = 'Kopie von E-Mails für Termin-Stornierungen an den Dozenten senden';
$setting->help = 'Bei Termin-Stornierungen wird eine Kopie der Nachricht, die an den verwaltenden und/oder planenden Mitarbeiter oder an die Schulungseinrichtung versandt wird,'
                . ' an die E-Mail Adresse des Dozenten gesendet.';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);